Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network84.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
84.0.0.0
Broadcast address
84.127.255.255
First usable
84.0.0.1
Last usable
84.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 54000000 · Integer 1409286144 to 1417674751
Reverse DNS zones
0.84.in-addr.arpa
1.84.in-addr.arpa
2.84.in-addr.arpa
3.84.in-addr.arpa
4.84.in-addr.arpa
5.84.in-addr.arpa
6.84.in-addr.arpa
7.84.in-addr.arpa
8.84.in-addr.arpa
9.84.in-addr.arpa
10.84.in-addr.arpa
11.84.in-addr.arpa
12.84.in-addr.arpa
13.84.in-addr.arpa
14.84.in-addr.arpa
15.84.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010100.00000000.00000000.0000000084.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01010100.00000000.00000000.0000000084.0.0.0
Broadcast01010100.01111111.11111111.1111111184.127.255.255
Split into smaller subnets/21

84.0.0.0/9 makes 4,096 subnets of /21; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
184.0.0.0/2184.0.0.1 to 84.0.7.25484.0.7.2552,046
284.0.8.0/2184.0.8.1 to 84.0.15.25484.0.15.2552,046
384.0.16.0/2184.0.16.1 to 84.0.23.25484.0.23.2552,046
484.0.24.0/2184.0.24.1 to 84.0.31.25484.0.31.2552,046
584.0.32.0/2184.0.32.1 to 84.0.39.25484.0.39.2552,046
684.0.40.0/2184.0.40.1 to 84.0.47.25484.0.47.2552,046
784.0.48.0/2184.0.48.1 to 84.0.55.25484.0.55.2552,046
884.0.56.0/2184.0.56.1 to 84.0.63.25484.0.63.2552,046
984.0.64.0/2184.0.64.1 to 84.0.71.25484.0.71.2552,046
1084.0.72.0/2184.0.72.1 to 84.0.79.25484.0.79.2552,046
1184.0.80.0/2184.0.80.1 to 84.0.87.25484.0.87.2552,046
1284.0.88.0/2184.0.88.1 to 84.0.95.25484.0.95.2552,046
1384.0.96.0/2184.0.96.1 to 84.0.103.25484.0.103.2552,046
1484.0.104.0/2184.0.104.1 to 84.0.111.25484.0.111.2552,046
1584.0.112.0/2184.0.112.1 to 84.0.119.25484.0.119.2552,046
1684.0.120.0/2184.0.120.1 to 84.0.127.25484.0.127.2552,046
1784.0.128.0/2184.0.128.1 to 84.0.135.25484.0.135.2552,046
1884.0.136.0/2184.0.136.1 to 84.0.143.25484.0.143.2552,046
1984.0.144.0/2184.0.144.1 to 84.0.151.25484.0.151.2552,046
2084.0.152.0/2184.0.152.1 to 84.0.159.25484.0.159.2552,046
2184.0.160.0/2184.0.160.1 to 84.0.167.25484.0.167.2552,046
2284.0.168.0/2184.0.168.1 to 84.0.175.25484.0.175.2552,046
2384.0.176.0/2184.0.176.1 to 84.0.183.25484.0.183.2552,046
2484.0.184.0/2184.0.184.1 to 84.0.191.25484.0.191.2552,046
2584.0.192.0/2184.0.192.1 to 84.0.199.25484.0.199.2552,046
2684.0.200.0/2184.0.200.1 to 84.0.207.25484.0.207.2552,046
2784.0.208.0/2184.0.208.1 to 84.0.215.25484.0.215.2552,046
2884.0.216.0/2184.0.216.1 to 84.0.223.25484.0.223.2552,046
2984.0.224.0/2184.0.224.1 to 84.0.231.25484.0.231.2552,046
3084.0.232.0/2184.0.232.1 to 84.0.239.25484.0.239.2552,046
3184.0.240.0/2184.0.240.1 to 84.0.247.25484.0.247.2552,046
3284.0.248.0/2184.0.248.1 to 84.0.255.25484.0.255.2552,046
3384.1.0.0/2184.1.0.1 to 84.1.7.25484.1.7.2552,046
3484.1.8.0/2184.1.8.1 to 84.1.15.25484.1.15.2552,046
3584.1.16.0/2184.1.16.1 to 84.1.23.25484.1.23.2552,046
3684.1.24.0/2184.1.24.1 to 84.1.31.25484.1.31.2552,046
3784.1.32.0/2184.1.32.1 to 84.1.39.25484.1.39.2552,046
3884.1.40.0/2184.1.40.1 to 84.1.47.25484.1.47.2552,046
3984.1.48.0/2184.1.48.1 to 84.1.55.25484.1.55.2552,046
4084.1.56.0/2184.1.56.1 to 84.1.63.25484.1.63.2552,046
4184.1.64.0/2184.1.64.1 to 84.1.71.25484.1.71.2552,046
4284.1.72.0/2184.1.72.1 to 84.1.79.25484.1.79.2552,046
4384.1.80.0/2184.1.80.1 to 84.1.87.25484.1.87.2552,046
4484.1.88.0/2184.1.88.1 to 84.1.95.25484.1.95.2552,046
4584.1.96.0/2184.1.96.1 to 84.1.103.25484.1.103.2552,046
4684.1.104.0/2184.1.104.1 to 84.1.111.25484.1.111.2552,046
4784.1.112.0/2184.1.112.1 to 84.1.119.25484.1.119.2552,046
4884.1.120.0/2184.1.120.1 to 84.1.127.25484.1.127.2552,046
4984.1.128.0/2184.1.128.1 to 84.1.135.25484.1.135.2552,046
5084.1.136.0/2184.1.136.1 to 84.1.143.25484.1.143.2552,046
5184.1.144.0/2184.1.144.1 to 84.1.151.25484.1.151.2552,046
5284.1.152.0/2184.1.152.1 to 84.1.159.25484.1.159.2552,046
5384.1.160.0/2184.1.160.1 to 84.1.167.25484.1.167.2552,046
5484.1.168.0/2184.1.168.1 to 84.1.175.25484.1.175.2552,046
5584.1.176.0/2184.1.176.1 to 84.1.183.25484.1.183.2552,046
5684.1.184.0/2184.1.184.1 to 84.1.191.25484.1.191.2552,046
5784.1.192.0/2184.1.192.1 to 84.1.199.25484.1.199.2552,046
5884.1.200.0/2184.1.200.1 to 84.1.207.25484.1.207.2552,046
5984.1.208.0/2184.1.208.1 to 84.1.215.25484.1.215.2552,046
6084.1.216.0/2184.1.216.1 to 84.1.223.25484.1.223.2552,046
6184.1.224.0/2184.1.224.1 to 84.1.231.25484.1.231.2552,046
6284.1.232.0/2184.1.232.1 to 84.1.239.25484.1.239.2552,046
6384.1.240.0/2184.1.240.1 to 84.1.247.25484.1.247.2552,046
6484.1.248.0/2184.1.248.1 to 84.1.255.25484.1.255.2552,046
6584.2.0.0/2184.2.0.1 to 84.2.7.25484.2.7.2552,046
6684.2.8.0/2184.2.8.1 to 84.2.15.25484.2.15.2552,046
6784.2.16.0/2184.2.16.1 to 84.2.23.25484.2.23.2552,046
6884.2.24.0/2184.2.24.1 to 84.2.31.25484.2.31.2552,046
6984.2.32.0/2184.2.32.1 to 84.2.39.25484.2.39.2552,046
7084.2.40.0/2184.2.40.1 to 84.2.47.25484.2.47.2552,046
7184.2.48.0/2184.2.48.1 to 84.2.55.25484.2.55.2552,046
7284.2.56.0/2184.2.56.1 to 84.2.63.25484.2.63.2552,046
7384.2.64.0/2184.2.64.1 to 84.2.71.25484.2.71.2552,046
7484.2.72.0/2184.2.72.1 to 84.2.79.25484.2.79.2552,046
7584.2.80.0/2184.2.80.1 to 84.2.87.25484.2.87.2552,046
7684.2.88.0/2184.2.88.1 to 84.2.95.25484.2.95.2552,046
7784.2.96.0/2184.2.96.1 to 84.2.103.25484.2.103.2552,046
7884.2.104.0/2184.2.104.1 to 84.2.111.25484.2.111.2552,046
7984.2.112.0/2184.2.112.1 to 84.2.119.25484.2.119.2552,046
8084.2.120.0/2184.2.120.1 to 84.2.127.25484.2.127.2552,046
8184.2.128.0/2184.2.128.1 to 84.2.135.25484.2.135.2552,046
8284.2.136.0/2184.2.136.1 to 84.2.143.25484.2.143.2552,046
8384.2.144.0/2184.2.144.1 to 84.2.151.25484.2.151.2552,046
8484.2.152.0/2184.2.152.1 to 84.2.159.25484.2.159.2552,046
8584.2.160.0/2184.2.160.1 to 84.2.167.25484.2.167.2552,046
8684.2.168.0/2184.2.168.1 to 84.2.175.25484.2.175.2552,046
8784.2.176.0/2184.2.176.1 to 84.2.183.25484.2.183.2552,046
8884.2.184.0/2184.2.184.1 to 84.2.191.25484.2.191.2552,046
8984.2.192.0/2184.2.192.1 to 84.2.199.25484.2.199.2552,046
9084.2.200.0/2184.2.200.1 to 84.2.207.25484.2.207.2552,046
9184.2.208.0/2184.2.208.1 to 84.2.215.25484.2.215.2552,046
9284.2.216.0/2184.2.216.1 to 84.2.223.25484.2.223.2552,046
9384.2.224.0/2184.2.224.1 to 84.2.231.25484.2.231.2552,046
9484.2.232.0/2184.2.232.1 to 84.2.239.25484.2.239.2552,046
9584.2.240.0/2184.2.240.1 to 84.2.247.25484.2.247.2552,046
9684.2.248.0/2184.2.248.1 to 84.2.255.25484.2.255.2552,046
9784.3.0.0/2184.3.0.1 to 84.3.7.25484.3.7.2552,046
9884.3.8.0/2184.3.8.1 to 84.3.15.25484.3.15.2552,046
9984.3.16.0/2184.3.16.1 to 84.3.23.25484.3.23.2552,046
10084.3.24.0/2184.3.24.1 to 84.3.31.25484.3.31.2552,046
10184.3.32.0/2184.3.32.1 to 84.3.39.25484.3.39.2552,046
10284.3.40.0/2184.3.40.1 to 84.3.47.25484.3.47.2552,046
10384.3.48.0/2184.3.48.1 to 84.3.55.25484.3.55.2552,046
10484.3.56.0/2184.3.56.1 to 84.3.63.25484.3.63.2552,046
10584.3.64.0/2184.3.64.1 to 84.3.71.25484.3.71.2552,046
10684.3.72.0/2184.3.72.1 to 84.3.79.25484.3.79.2552,046
10784.3.80.0/2184.3.80.1 to 84.3.87.25484.3.87.2552,046
10884.3.88.0/2184.3.88.1 to 84.3.95.25484.3.95.2552,046
10984.3.96.0/2184.3.96.1 to 84.3.103.25484.3.103.2552,046
11084.3.104.0/2184.3.104.1 to 84.3.111.25484.3.111.2552,046
11184.3.112.0/2184.3.112.1 to 84.3.119.25484.3.119.2552,046
11284.3.120.0/2184.3.120.1 to 84.3.127.25484.3.127.2552,046
11384.3.128.0/2184.3.128.1 to 84.3.135.25484.3.135.2552,046
11484.3.136.0/2184.3.136.1 to 84.3.143.25484.3.143.2552,046
11584.3.144.0/2184.3.144.1 to 84.3.151.25484.3.151.2552,046
11684.3.152.0/2184.3.152.1 to 84.3.159.25484.3.159.2552,046
11784.3.160.0/2184.3.160.1 to 84.3.167.25484.3.167.2552,046
11884.3.168.0/2184.3.168.1 to 84.3.175.25484.3.175.2552,046
11984.3.176.0/2184.3.176.1 to 84.3.183.25484.3.183.2552,046
12084.3.184.0/2184.3.184.1 to 84.3.191.25484.3.191.2552,046
12184.3.192.0/2184.3.192.1 to 84.3.199.25484.3.199.2552,046
12284.3.200.0/2184.3.200.1 to 84.3.207.25484.3.207.2552,046
12384.3.208.0/2184.3.208.1 to 84.3.215.25484.3.215.2552,046
12484.3.216.0/2184.3.216.1 to 84.3.223.25484.3.223.2552,046
12584.3.224.0/2184.3.224.1 to 84.3.231.25484.3.231.2552,046
12684.3.232.0/2184.3.232.1 to 84.3.239.25484.3.239.2552,046
12784.3.240.0/2184.3.240.1 to 84.3.247.25484.3.247.2552,046
12884.3.248.0/2184.3.248.1 to 84.3.255.25484.3.255.2552,046
12984.4.0.0/2184.4.0.1 to 84.4.7.25484.4.7.2552,046
13084.4.8.0/2184.4.8.1 to 84.4.15.25484.4.15.2552,046
13184.4.16.0/2184.4.16.1 to 84.4.23.25484.4.23.2552,046
13284.4.24.0/2184.4.24.1 to 84.4.31.25484.4.31.2552,046
13384.4.32.0/2184.4.32.1 to 84.4.39.25484.4.39.2552,046
13484.4.40.0/2184.4.40.1 to 84.4.47.25484.4.47.2552,046
13584.4.48.0/2184.4.48.1 to 84.4.55.25484.4.55.2552,046
13684.4.56.0/2184.4.56.1 to 84.4.63.25484.4.63.2552,046
13784.4.64.0/2184.4.64.1 to 84.4.71.25484.4.71.2552,046
13884.4.72.0/2184.4.72.1 to 84.4.79.25484.4.79.2552,046
13984.4.80.0/2184.4.80.1 to 84.4.87.25484.4.87.2552,046
14084.4.88.0/2184.4.88.1 to 84.4.95.25484.4.95.2552,046
14184.4.96.0/2184.4.96.1 to 84.4.103.25484.4.103.2552,046
14284.4.104.0/2184.4.104.1 to 84.4.111.25484.4.111.2552,046
14384.4.112.0/2184.4.112.1 to 84.4.119.25484.4.119.2552,046
14484.4.120.0/2184.4.120.1 to 84.4.127.25484.4.127.2552,046
14584.4.128.0/2184.4.128.1 to 84.4.135.25484.4.135.2552,046
14684.4.136.0/2184.4.136.1 to 84.4.143.25484.4.143.2552,046
14784.4.144.0/2184.4.144.1 to 84.4.151.25484.4.151.2552,046
14884.4.152.0/2184.4.152.1 to 84.4.159.25484.4.159.2552,046
14984.4.160.0/2184.4.160.1 to 84.4.167.25484.4.167.2552,046
15084.4.168.0/2184.4.168.1 to 84.4.175.25484.4.175.2552,046
15184.4.176.0/2184.4.176.1 to 84.4.183.25484.4.183.2552,046
15284.4.184.0/2184.4.184.1 to 84.4.191.25484.4.191.2552,046
15384.4.192.0/2184.4.192.1 to 84.4.199.25484.4.199.2552,046
15484.4.200.0/2184.4.200.1 to 84.4.207.25484.4.207.2552,046
15584.4.208.0/2184.4.208.1 to 84.4.215.25484.4.215.2552,046
15684.4.216.0/2184.4.216.1 to 84.4.223.25484.4.223.2552,046
15784.4.224.0/2184.4.224.1 to 84.4.231.25484.4.231.2552,046
15884.4.232.0/2184.4.232.1 to 84.4.239.25484.4.239.2552,046
15984.4.240.0/2184.4.240.1 to 84.4.247.25484.4.247.2552,046
16084.4.248.0/2184.4.248.1 to 84.4.255.25484.4.255.2552,046
16184.5.0.0/2184.5.0.1 to 84.5.7.25484.5.7.2552,046
16284.5.8.0/2184.5.8.1 to 84.5.15.25484.5.15.2552,046
16384.5.16.0/2184.5.16.1 to 84.5.23.25484.5.23.2552,046
16484.5.24.0/2184.5.24.1 to 84.5.31.25484.5.31.2552,046
16584.5.32.0/2184.5.32.1 to 84.5.39.25484.5.39.2552,046
16684.5.40.0/2184.5.40.1 to 84.5.47.25484.5.47.2552,046
16784.5.48.0/2184.5.48.1 to 84.5.55.25484.5.55.2552,046
16884.5.56.0/2184.5.56.1 to 84.5.63.25484.5.63.2552,046
16984.5.64.0/2184.5.64.1 to 84.5.71.25484.5.71.2552,046
17084.5.72.0/2184.5.72.1 to 84.5.79.25484.5.79.2552,046
17184.5.80.0/2184.5.80.1 to 84.5.87.25484.5.87.2552,046
17284.5.88.0/2184.5.88.1 to 84.5.95.25484.5.95.2552,046
17384.5.96.0/2184.5.96.1 to 84.5.103.25484.5.103.2552,046
17484.5.104.0/2184.5.104.1 to 84.5.111.25484.5.111.2552,046
17584.5.112.0/2184.5.112.1 to 84.5.119.25484.5.119.2552,046
17684.5.120.0/2184.5.120.1 to 84.5.127.25484.5.127.2552,046
17784.5.128.0/2184.5.128.1 to 84.5.135.25484.5.135.2552,046
17884.5.136.0/2184.5.136.1 to 84.5.143.25484.5.143.2552,046
17984.5.144.0/2184.5.144.1 to 84.5.151.25484.5.151.2552,046
18084.5.152.0/2184.5.152.1 to 84.5.159.25484.5.159.2552,046
18184.5.160.0/2184.5.160.1 to 84.5.167.25484.5.167.2552,046
18284.5.168.0/2184.5.168.1 to 84.5.175.25484.5.175.2552,046
18384.5.176.0/2184.5.176.1 to 84.5.183.25484.5.183.2552,046
18484.5.184.0/2184.5.184.1 to 84.5.191.25484.5.191.2552,046
18584.5.192.0/2184.5.192.1 to 84.5.199.25484.5.199.2552,046
18684.5.200.0/2184.5.200.1 to 84.5.207.25484.5.207.2552,046
18784.5.208.0/2184.5.208.1 to 84.5.215.25484.5.215.2552,046
18884.5.216.0/2184.5.216.1 to 84.5.223.25484.5.223.2552,046
18984.5.224.0/2184.5.224.1 to 84.5.231.25484.5.231.2552,046
19084.5.232.0/2184.5.232.1 to 84.5.239.25484.5.239.2552,046
19184.5.240.0/2184.5.240.1 to 84.5.247.25484.5.247.2552,046
19284.5.248.0/2184.5.248.1 to 84.5.255.25484.5.255.2552,046
19384.6.0.0/2184.6.0.1 to 84.6.7.25484.6.7.2552,046
19484.6.8.0/2184.6.8.1 to 84.6.15.25484.6.15.2552,046
19584.6.16.0/2184.6.16.1 to 84.6.23.25484.6.23.2552,046
19684.6.24.0/2184.6.24.1 to 84.6.31.25484.6.31.2552,046
19784.6.32.0/2184.6.32.1 to 84.6.39.25484.6.39.2552,046
19884.6.40.0/2184.6.40.1 to 84.6.47.25484.6.47.2552,046
19984.6.48.0/2184.6.48.1 to 84.6.55.25484.6.55.2552,046
20084.6.56.0/2184.6.56.1 to 84.6.63.25484.6.63.2552,046
20184.6.64.0/2184.6.64.1 to 84.6.71.25484.6.71.2552,046
20284.6.72.0/2184.6.72.1 to 84.6.79.25484.6.79.2552,046
20384.6.80.0/2184.6.80.1 to 84.6.87.25484.6.87.2552,046
20484.6.88.0/2184.6.88.1 to 84.6.95.25484.6.95.2552,046
20584.6.96.0/2184.6.96.1 to 84.6.103.25484.6.103.2552,046
20684.6.104.0/2184.6.104.1 to 84.6.111.25484.6.111.2552,046
20784.6.112.0/2184.6.112.1 to 84.6.119.25484.6.119.2552,046
20884.6.120.0/2184.6.120.1 to 84.6.127.25484.6.127.2552,046
20984.6.128.0/2184.6.128.1 to 84.6.135.25484.6.135.2552,046
21084.6.136.0/2184.6.136.1 to 84.6.143.25484.6.143.2552,046
21184.6.144.0/2184.6.144.1 to 84.6.151.25484.6.151.2552,046
21284.6.152.0/2184.6.152.1 to 84.6.159.25484.6.159.2552,046
21384.6.160.0/2184.6.160.1 to 84.6.167.25484.6.167.2552,046
21484.6.168.0/2184.6.168.1 to 84.6.175.25484.6.175.2552,046
21584.6.176.0/2184.6.176.1 to 84.6.183.25484.6.183.2552,046
21684.6.184.0/2184.6.184.1 to 84.6.191.25484.6.191.2552,046
21784.6.192.0/2184.6.192.1 to 84.6.199.25484.6.199.2552,046
21884.6.200.0/2184.6.200.1 to 84.6.207.25484.6.207.2552,046
21984.6.208.0/2184.6.208.1 to 84.6.215.25484.6.215.2552,046
22084.6.216.0/2184.6.216.1 to 84.6.223.25484.6.223.2552,046
22184.6.224.0/2184.6.224.1 to 84.6.231.25484.6.231.2552,046
22284.6.232.0/2184.6.232.1 to 84.6.239.25484.6.239.2552,046
22384.6.240.0/2184.6.240.1 to 84.6.247.25484.6.247.2552,046
22484.6.248.0/2184.6.248.1 to 84.6.255.25484.6.255.2552,046
22584.7.0.0/2184.7.0.1 to 84.7.7.25484.7.7.2552,046
22684.7.8.0/2184.7.8.1 to 84.7.15.25484.7.15.2552,046
22784.7.16.0/2184.7.16.1 to 84.7.23.25484.7.23.2552,046
22884.7.24.0/2184.7.24.1 to 84.7.31.25484.7.31.2552,046
22984.7.32.0/2184.7.32.1 to 84.7.39.25484.7.39.2552,046
23084.7.40.0/2184.7.40.1 to 84.7.47.25484.7.47.2552,046
23184.7.48.0/2184.7.48.1 to 84.7.55.25484.7.55.2552,046
23284.7.56.0/2184.7.56.1 to 84.7.63.25484.7.63.2552,046
23384.7.64.0/2184.7.64.1 to 84.7.71.25484.7.71.2552,046
23484.7.72.0/2184.7.72.1 to 84.7.79.25484.7.79.2552,046
23584.7.80.0/2184.7.80.1 to 84.7.87.25484.7.87.2552,046
23684.7.88.0/2184.7.88.1 to 84.7.95.25484.7.95.2552,046
23784.7.96.0/2184.7.96.1 to 84.7.103.25484.7.103.2552,046
23884.7.104.0/2184.7.104.1 to 84.7.111.25484.7.111.2552,046
23984.7.112.0/2184.7.112.1 to 84.7.119.25484.7.119.2552,046
24084.7.120.0/2184.7.120.1 to 84.7.127.25484.7.127.2552,046
24184.7.128.0/2184.7.128.1 to 84.7.135.25484.7.135.2552,046
24284.7.136.0/2184.7.136.1 to 84.7.143.25484.7.143.2552,046
24384.7.144.0/2184.7.144.1 to 84.7.151.25484.7.151.2552,046
24484.7.152.0/2184.7.152.1 to 84.7.159.25484.7.159.2552,046
24584.7.160.0/2184.7.160.1 to 84.7.167.25484.7.167.2552,046
24684.7.168.0/2184.7.168.1 to 84.7.175.25484.7.175.2552,046
24784.7.176.0/2184.7.176.1 to 84.7.183.25484.7.183.2552,046
24884.7.184.0/2184.7.184.1 to 84.7.191.25484.7.191.2552,046
24984.7.192.0/2184.7.192.1 to 84.7.199.25484.7.199.2552,046
25084.7.200.0/2184.7.200.1 to 84.7.207.25484.7.207.2552,046
25184.7.208.0/2184.7.208.1 to 84.7.215.25484.7.215.2552,046
25284.7.216.0/2184.7.216.1 to 84.7.223.25484.7.223.2552,046
25384.7.224.0/2184.7.224.1 to 84.7.231.25484.7.231.2552,046
25484.7.232.0/2184.7.232.1 to 84.7.239.25484.7.239.2552,046
25584.7.240.0/2184.7.240.1 to 84.7.247.25484.7.247.2552,046
25684.7.248.0/2184.7.248.1 to 84.7.255.25484.7.255.2552,046

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses